<script setup>
import {str} from "@/Modules/Str";
import {Link} from "@inertiajs/vue3";

</script>

<template>
    <footer class="footer noMobile">
        <img class="footer__background" src="/img/background.svg" alt="">
        <img class="footer__background" src="/img/backgroundDark.svg" alt="">
        <div class="footer__inner">
            <div class="footer__top">
                <div class="footer__column">
                    <p class="footer__logo">Market</p>
                    <Link v-if="$page.props.auth.check" class="footer__profile" :href="route('dashboard')">
                        <div class="footer__profile-profile">
                            <img class="footer__profile-img" src="/img/profileIcon.svg" alt="">
                        </div>
                        <div class="footer__profile-right">
                            <p class="footer__profile-hello">Здравствуйте,
                                <span class="footer__profile-name">
                                    {{ str.str_limit($page.props.auth.user.nickname,20) }}!
                                </span>
                            </p>
                            <p class="footer__profile-cabinet">Мой личный кабинет</p>
                        </div>
                    </Link>
                    <Link class="footer__pod button" :href="route('support')">Поддержка</Link>
                </div>
                <div class="footer__column">
                    <Link class="footer__bigLink" :href="route('games')">Магазин</Link>
                    <Link class="footer__bigLink" :href="route('online-buy')">Онлайн покупка</Link>
                    <Link class="footer__bigLink" :href="route('games')">Игры</Link>
                </div>
                <div class="footer__column">
                    <p class="footer__title">Популярные
                        <span class="footer__title-orange">игры</span>
                    </p>
                    <div v-for="game in $page.props.popular_games" class="footer__column-content">
                        <Link class="footer__content-item" :href="game.link">{{ game.name }}</Link>
                    </div>
                </div>
            </div>
            <div class="footer__bottom">
                <p class="footer__miniText">© {{ new Date().getFullYear() }}, ООО «Market»</p>
                <Link class="footer__miniText link" :href="route('privacy-policy')">Политика конфиденциальности</Link>
            </div>
        </div>
    </footer>
</template>



